Overview

Getting Started

MARKETPLACE

Widgets

Find Pros

Categories

Keywords

Requests

Leads

Messages

On-Demand Orders

Reviews

User Accounts

PRO INTEGRATIONS

Leads

Messages

Reviews

Pro Profiles

Business Phone Numbers

Manage Webhooks

Testing Your Pro Integration

Support

Changelog

Terms and Policies

Requests

Submit project requests for customers. This creates a lead that matches with relevant pros based on service type, location, and project details.

Overview

Our Requests API offers Partners the ability to programmatically submit Requests to Businesses.

Create a Request

You can submit a request as follows.
POST /api/v4/requests HTTP/2
authorization: Bearer {{authorizationCode}}
content-type: application/json
{
"searchID": "548954743629463556",
"businessIDs": [
"468046965846925323"
],
"categoryID": "201565295100608806",
"utmData": {
"utm_source": "cma-admin"
}
}
{
"request": {
"requestID": "548955282027569156",
"customerID": "498954473003245570",
"description": "Nothing",
"category": {
"categoryID": "201565295100608806",
"name": "Kitchen Remodel"
},
"proposedTimes": [],
"location": {
"address1": "",
"address2": "",
"city": "San Francisco",
"state": "CA",
"zipCode": "94117"
},
"travelPreferences": [
"Professional must travel to my address."
],
"details": [
{
"question": "Category",
"answer": "Kitchen Remodel"
},
{
"question": "Travel Preferences",
"answer": "The kitchen remodel contractor travels to me"
},
{
"question": "Property type",
"answer": "Residential"
},
{
"question": "Project scope",
"answer": "Repair of existing tiling or flooring"
},
{
"question": "Plumbing to be relocated",
"answer": "No, plumbing will not need to be relocated"
},
{
"question": "Electrical to be relocated",
"answer": "Yes, electrical will need to be relocated"
},
{
"question": "Existing plans",
"answer": "No existing plans, but have a good idea of what I want"
},
{
"question": "Anything else",
"answer": "Nothing"
},
{
"question": "Zip code",
"answer": "94117"
}
],
"attachments": []
},
"contactErrors": []
}

Last Updated: Apr 22nd, 2026